﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DonutSegmentOutlines
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        bool selected = false;
        private void donut_SliceClick(object sender, Infragistics.Controls.Charts.SliceClickEventArgs e)
        {
            selected = !selected;

            if (selected)
            {
                donut.Series[0].Brushes = new Infragistics.BrushCollection() { Brushes.Blue };
            }
            else
            {
                donut.Series[0].Brushes = new Infragistics.BrushCollection() { Brushes.Red };
            }
        }
    }
}
